Subject: Re: [PATCH 04/11] of/flattree: eliminate cell_t typedef

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 27 Nov 2009 08:40:28 +1100

On Thu, 2009-11-26 at 22:36 +0100, Segher Boessenkool wrote:
> >> You're right, it's not, but makes merging less complex, and then I  
> >> can
> >> refactor properly.
> >
> > Still, make them __be32 at least
> 
> There is no alignment guarantee at all either, better make it all u8
> and use accessor functions everywhere.

Well... if you want to force using an accessor, then make it an opaque
type. But __be32 is fine. It doesn't necessarily convey alignment and
besides, there happens to -be- aligned in almost all cases so far :-)
The flat tree format guarantees 32-bit alignment for the start of a
property, so we are good here I think.

Cheers,
Ben.